# class Chef::Resource::Breakpoint

### Public Class Methods

new(action="break", *args) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/breakpoint.rb, line 26
    def initialize(action="break", *args)
      @name = caller.first
      super(@name, *args)
      @action = "break"
      @allowed_actions << :break
      @provider = Chef::Provider::Breakpoint
    end